VERSION 2.00
Begin Form AFPForm 
   Caption         =   "Test NetWare AFP Services"
   ClientHeight    =   3105
   ClientLeft      =   2490
   ClientTop       =   1590
   ClientWidth     =   6645
   Height          =   3510
   Left            =   2430
   LinkMode        =   1  'Source
   LinkTopic       =   "Form5"
   ScaleHeight     =   3105
   ScaleWidth      =   6645
   Top             =   1245
   Width           =   6765
   Begin CommandButton SearchButton 
      Caption         =   "&Search"
      Height          =   375
      Left            =   2160
      TabIndex        =   2
      Top             =   2640
      Width           =   855
   End
   Begin ListBox ServerList 
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "Courier"
      FontSize        =   9.75
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   1590
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   6375
   End
   Begin CommandButton CancelButton 
      Caption         =   "&Cancel"
      Height          =   330
      Left            =   3720
      TabIndex        =   0
      Top             =   2640
      Width           =   870
   End
   Begin Label Label2 
      Caption         =   "Attached file servers:"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   120
      Width           =   2055
   End
   Begin Label Label1 
      Caption         =   "Click Search to view AFP information for a selected file."
      Height          =   255
      Left            =   840
      TabIndex        =   3
      Top             =   2280
      Width           =   4815
   End
End

Sub CancelButton_Click ()
    Unload AFPForm
End Sub

Sub Form_Load ()
    For connID% = 1 To 8
        'for each connection in workstation's file server name table
        'get the table entry, then see if it's null
        
        serverName$ = String$(48, 0)

        If (IsConnectionIDInUse(connID%) = 1) Then
            GetFileServerName connID%, serverName$
            serverName$ = Left$(serverName$, InStr(serverName$, Chr$(0)) - 1)
            If (Len(serverName$) > 20) Then
                serverName$ = Left$(serverName$, 20)
            End If

            If (AFPSupported(connID%) = 1) Then
                ServerList.AddItem Str$(connID%) + "  " + serverName$ + String$(22 - Len(serverName$), " ") + " AFP Supported"
            Else
                ServerList.AddItem Str$(connID%) + "  " + serverName$ + String$(22 - Len(serverName$), " ") + " AFP Not Supported"
            End If
        End If
    Next connID%

    ServerList.ListIndex = 0
    AFPForm.Show
    SearchButton.SetFocus
End Sub

Sub SearchButton_Click ()
    currentForm = AFP_FORM
    SelectFileForm.Show
End Sub

Sub ServerList_DblClick ()
    SearchButton_Click
End Sub

